## missingpy 0.1.1

=== Makefile ===
# arch-tag: Main Makefile
# Copyright (C) 2004 - 2005 John Goerzen <jgoerzen@complete.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

.PHONY: all
all: setup
	./setup configure
	./setup build

PYTHON ?= python
setup: Setup.lhs MissingPy.cabal
	ghc -package Cabal Setup.lhs -o setup


MissingPy.cabal: gencabal.py
	$(PYTHON) gencabal.py

doc: setup
	./setup haddock

clean:
	-./setup clean
	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
		`find . -name "*~"` *.a setup dist testsrc/runtests \
		MissingPy.cabal local-pkg
	-cd doc && $(MAKE) clean

.PHONY: local-pkg
local-pkg: all
	echo "[" > local-pkg
	cat .installed-pkg-config >> local-pkg
	echo "]" >> local-pkg

testsrc/runtests: local-pkg $(shell find . -name "*.hs") \
			$(shell find . -name "*.hsc")
	ghc6 -O2 -o testsrc/runtests -Ldist/build -odir dist/build \
	   -package-conf local-pkg \
	   -hidir dist/build -idist/build -itestsrc \
		-package HUnit -package MissingPy --make testsrc/runtests.hs

# dist/build/libHSMissingPy-*
test-ghc6: testsrc/runtests
	testsrc/runtests 

test-hugs:
	runhugs -98 +o -P$(PWD)/libsrc:$(PWD)/testsrc: testsrc/runtests.hs

interact-hugs:
	hugs -98 +o -P$(PWD)/libsrc:

interact-ghci: all
	ghci -fallow-overlapping-instances -fallow-undecidable-instances -fglasgow-exts -ilibsrc

interact: interact-hugs

test: test-ghc6

=== debian/changelog ===
missingpy (0.1.1) unstable; urgency=low

  * Update for the latest Cabal.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Apr 2005 14:56:54 -0500

missingpy (0.1.0) unstable; urgency=low

  * Initial release.  Closes: #293510.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 26 Jan 2005 10:34:22 -0600

=== debian/control ===
Source: missingpy
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.2.2), ghc6 (<< 6.2.3), haskell-devscripts (>= 0.5.6), libghc6-hunit-dev, python-dev (>= 2.3.3), python-gdbm (>= 2.3.3), haddock, python-dev (<< 2.4), libghc6-missingh-dev (>= 0.9.2)
#Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs, haskell-devscripts (>= 0.5.4), libhugs-hunit
Standards-Version: 3.6.1
Section: devel

Package: libghc6-missingpy-dev
Section: devel
Architecture: any
Depends: ${haskell:Depends}, python-dev (>= 2.3.3), python-dev (<< 2.4), libghc6-missingh-dev (>= 0.9.2)
Suggests: python-gdbm (>= 2.3.3)
Description: Python interface and utility library for Haskell
 MissingPy is two things:
 .
 A Haskell binding for many C and Python libraries for tasks such as
 data compression, databases, etc.  This can be found in the
 MissingPy module tree.
 .
 Also, it's a low-level Haskell binding to the Python interpreter to
 enable development of hybrid applications that use both
 environments.  This can be found in the Python module tree.  The
 Haskell bindings above use this environment.
 .
 MissingPy permits you to call Python code from Haskell.  It does NOT
 permit you to call Haskell code from Python.
 .
 MissingPy is the companion to my MissingH library, and integrates with
 it.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	make setup
	./setup configure --prefix=$(LIBPATH) --ghc

	touch configure-stamp


build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	#make test-ghc6
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-./setup clean
	-make clean
	-rm -rf setup Setup.hi Setup.ho Setup.o .*config* dist html

	dh_clean 

install: build builddocs
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs -a 

	# Add here commands to install the package into debian/tmp
	dh_haskell -a
	make test

builddocs: builddocs-stamp
builddocs-stamp:
	dh_testdir

	make doc
	#make test-hugs

installdocs: builddocs
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i

	dh_haskell -i
	make test-hugs

# Build architecture-independent files here.
#binary-indep: builddocs installdocs
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i
	dh_fixperms -i
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## missingpy 0.2.0

=== debian/changelog ===
missingpy (0.2.0) unstable; urgency=low

  * Now compatible with GHC 6.4.
  * Requires MissingH 0.11.0 or above.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 13 May 2005 04:15:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: missingpy
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.2.2), ghc6 (<< 6.2.3), haskell-devscripts (>= 0.5.6), libghc6-hunit-dev, python-dev (>= 2.3.3), python-gdbm (>= 2.3.3), haddock, python-dev (<< 2.4), libghc6-missingh-dev (>= 0.9.2)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4), ghc6 (<< 6.4-999), haskell-devscripts (>= 0.5.6), python-dev (>= 2.3.3), python-gdbm (>= 2.3.3), haddock, python-dev (<< 2.4), libghc6-missingh-dev (>= 0.11.0)
 #Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs, haskell-devscripts (>= 0.5.4), libhugs-hunit
 Standards-Version: 3.6.1
 Section: devel
@@ -9,7 +9,7 @@
 Package: libghc6-missingpy-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, python-dev (>= 2.3.3), python-dev (<< 2.4), libghc6-missingh-dev (>= 0.9.2)
+Depends: ${haskell:Depends}, python-dev (>= 2.3.3), python-dev (<< 2.4), libghc6-missingh-dev (>= 0.11.0)
 Suggests: python-gdbm (>= 2.3.3)
 Description: Python interface and utility library for Haskell
  MissingPy is two things:

=== debian/rules ===
--- 
+++ 
@@ -89,7 +89,7 @@
 #binary-indep: builddocs installdocs
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog -i
+	dh_installchangelogs -i
 	dh_installdocs -i
 	dh_installexamples -i
 #	dh_install
@@ -120,7 +120,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs ChangeLog -a
+	dh_installchangelogs -a
 	dh_installdocs -a
 	dh_installexamples -a
 #	dh_install

## missingpy 0.8.1

=== debian/changelog ===
missingpy (0.8.1) unstable; urgency=low

  * Rebuilt against GHC 6.4.1.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 18 Oct 2005 12:38:37 -0500

missingpy (0.8.0) unstable; urgency=low

  * Updated control file to have a more liberal dependency on MissingH.
    Closes: #332893.
  * Sync Debian package version with version listed in MissingPy.cabal.

 -- John Goerzen <jgoerzen@complete.org>  Sun,  9 Oct 2005 08:25:19 -0500

missingpy (0.2.1) unstable; urgency=low

  * Rebuilt for missingh 0.11.2.  Closes: #315706.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  8 Jul 2005 06:15:37 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: missingpy
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4), ghc6 (<< 6.4-999), haskell-devscripts (>= 0.5.6), python-dev (>= 2.3.3), python-gdbm (>= 2.3.3), haddock, python-dev (<< 2.4), libghc6-missingh-dev (>= 0.11.0)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), python-dev (>= 2.3.3), python-gdbm (>= 2.3.3), haddock, python-dev (<< 2.4), libghc6-missingh-dev (>= 0.12.1)
 #Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs, haskell-devscripts (>= 0.5.4), libhugs-hunit
 Standards-Version: 3.6.1
 Section: devel
@@ -9,7 +9,7 @@
 Package: libghc6-missingpy-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, python-dev (>= 2.3.3), python-dev (<< 2.4), libghc6-missingh-dev (>= 0.11.0)
+Depends: ${haskell:Depends}, python-dev (>= 2.3.3), python-dev (<< 2.4), libghc6-missingh-dev (>= 0.12.1)
 Suggests: python-gdbm (>= 2.3.3)
 Description: Python interface and utility library for Haskell
  MissingPy is two things:

## missingpy 0.8.5

=== Makefile ===
--- 
+++ 
@@ -44,12 +44,14 @@
 	cat .installed-pkg-config >> local-pkg
 	echo "]" >> local-pkg
 
-testsrc/runtests: local-pkg $(shell find . -name "*.hs") \
+testsrc/runtests: all $(shell find . -name "*.hs") \
 			$(shell find . -name "*.hsc")
 	ghc6 -O2 -o testsrc/runtests -Ldist/build -odir dist/build \
-	   -package-conf local-pkg \
-	   -hidir dist/build -idist/build -itestsrc \
-		-package HUnit -package MissingPy --make testsrc/runtests.hs
+	   -hidir dist/build -package mtl -idist/build -itestsrc \
+	   -L/usr/lib -L/usr/lib/python2.3/site-packages \
+	   -I/usr/include/python2.3 \
+		-package HUnit --make testsrc/runtests.hs \
+		dist/build/glue/glue.o dist/build/glue/excglue.o -lpython2.3
 
 # dist/build/libHSMissingPy-*
 test-ghc6: testsrc/runtests
@@ -68,3 +70,6 @@
 
 test: test-ghc6
 
+genexceptions:
+	runhugs genexceptions.hs
+

=== debian/changelog ===
missingpy (0.8.5) unstable; urgency=low

  * Rebuild for GHC 6.4.2.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  3 Jul 2006 05:57:09 -0500

missingpy (0.8.4) unstable; urgency=low

  * Rebuild against MissingH 0.14.2.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Apr 2006 00:46:40 -0500

missingpy (0.8.3) unstable; urgency=low

  * Rebuild against MissingH 0.14.0.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  6 Apr 2006 02:45:18 -0500

missingpy (0.8.2) unstable; urgency=low

  * Bump depends on MissingH.  Closes: #357412.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 20 Mar 2006 20:36:41 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: missingpy
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.1), ghc6 (<< 6.4.1-999), haskell-devscripts (>= 0.5.6), python-dev (>= 2.3.3), python-gdbm (>= 2.3.3), haddock, python-dev (<< 2.4), libghc6-missingh-dev (>= 0.12.1)
+Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), python-dev (>= 2.3.3), python-gdbm (>= 2.3.3), haddock, python-dev (<< 2.4), libghc6-missingh-dev (>= 0.14.4)
 #Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs, haskell-devscripts (>= 0.5.4), libhugs-hunit
 Standards-Version: 3.6.1
 Section: devel
@@ -9,7 +9,7 @@
 Package: libghc6-missingpy-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, python-dev (>= 2.3.3), python-dev (<< 2.4), libghc6-missingh-dev (>= 0.12.1)
+Depends: ${haskell:Depends}, python-dev (>= 2.3.3), python-dev (<< 2.4), libghc6-missingh-dev (>= 0.14.4)
 Suggests: python-gdbm (>= 2.3.3)
 Description: Python interface and utility library for Haskell
  MissingPy is two things:

## missingpy 0.8.9.1

=== Makefile ===
--- 
+++ 
@@ -44,14 +44,15 @@
 	cat .installed-pkg-config >> local-pkg
 	echo "]" >> local-pkg
 
-testsrc/runtests: all $(shell find . -name "*.hs") \
+testsrc/runtests: $(shell find . -name "*.hs") \
 			$(shell find . -name "*.hsc")
-	ghc6 -O2 -o testsrc/runtests -Ldist/build -odir dist/build \
-	   -hidir dist/build -package mtl -idist/build -itestsrc \
-	   -L/usr/lib -L/usr/lib/python2.3/site-packages \
-	   -I/usr/include/python2.3 \
+	ghc6 -O2 -o testsrc/runtests -Iglue -Ldist/build -odir dist/build \
+	   -hidir dist/build -package mtl -fffi -idist/build -itestsrc \
+	   -L/usr/lib -L/usr/lib/python2.4/site-packages \
+	   -fglasgow-exts \
+	   -I/usr/include/python2.4 \
 		-package HUnit --make testsrc/runtests.hs \
-		dist/build/glue/glue.o dist/build/glue/excglue.o -lpython2.3
+		dist/build/glue/glue.o dist/build/glue/excglue.o -lpython2.4
 
 # dist/build/libHSMissingPy-*
 test-ghc6: testsrc/runtests

=== debian/changelog ===
missingpy (0.8.9.1) unstable; urgency=high

  * Non-maintainer upload.
  * Rebuild against fixed python-central to fix ghc-pkg registration
    during installation.
  * debian/copyright: update FSF address.
  * debian/rules: add binary-indep target which is required by policy.

 -- Arjan Oosting <arjan@debian.org>  Sat, 25 Nov 2006 22:46:14 +0100

missingpy (0.8.9) unstable; urgency=low

  * Rebuild for GHC 6.6.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 20 Oct 2006 10:01:14 -0500

missingpy (0.8.8) unstable; urgency=high

  * Compile tests against python 2.4.  Closes: #385993.
  * Escaped email addresses in Haddock comments.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  5 Sep 2006 05:14:15 -0500

missingpy (0.8.7) unstable; urgency=high

  * Update to new Python policy.

 -- John Goerzen <jgoerzen@complete.org>  Mon,  4 Sep 2006 09:38:38 -0500

missingpy (0.8.6) unstable; urgency=low

  * Rebuild against MissingH 0.14.5.  Closes: #382364.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 12 Aug 2006 09:19:19 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: missingpy
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 4.0.0), ghc6 (>= 6.4.2), ghc6 (<< 6.4.2-999), haskell-devscripts (>= 0.5.6), python-dev (>= 2.3.3), python-gdbm (>= 2.3.3), haddock, python-dev (<< 2.4), libghc6-missingh-dev (>= 0.14.4)
+XS-Python-Version: current
+Build-Depends: debhelper (>= 5.0.37.2), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), python-dev (>= 2.4), python-gdbm (>= 2.3.3), haddock, libghc6-missingh-dev (>= 0.16.1), python-central (>= 0.5)
 #Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs, haskell-devscripts (>= 0.5.4), libhugs-hunit
 Standards-Version: 3.6.1
 Section: devel
@@ -9,7 +10,8 @@
 Package: libghc6-missingpy-dev
 Section: devel
 Architecture: any
-Depends: ${haskell:Depends}, python-dev (>= 2.3.3), python-dev (<< 2.4), libghc6-missingh-dev (>= 0.14.4)
+XB-Python-Version: ${python:Versions}
+Depends: ${haskell:Depends}, python-dev (>= 2.4), libghc6-missingh-dev (>= 0.16.1), ${python:Depends}
 Suggests: python-gdbm (>= 2.3.3)
 Description: Python interface and utility library for Haskell
  MissingPy is two things:

=== debian/rules ===
--- 
+++ 
@@ -108,7 +108,8 @@
 	dh_compress -i
 	dh_fixperms -i
 #	dh_perl
-#	dh_python
+	dh_pycentral -i
+	dh_python -i
 #	dh_makeshlibs
 	dh_installdeb -i
 	dh_shlibdeps -i
@@ -139,7 +140,8 @@
 	dh_compress -a
 	dh_fixperms -a
 #	dh_perl
-#	dh_python
+	dh_pycentral -a
+	dh_python -a
 #	dh_makeshlibs
 	dh_installdeb -a
 	dh_shlibdeps -a
@@ -147,5 +149,7 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
+binary-indep:
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install configure

## missingpy 0.9.0ubuntu1

=== debian/changelog ===
missingpy (0.9.0ubuntu1) gutsy; urgency=low

  * debian/control: Fixed Build-Depends for ghc6 (LP: #136847)
    "ghc6 (>= 6.6), ghc6 (<< 6.6-999)"
     => "ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999)"
  * debian/control: DebianMaintainerField
  * debian/control: Build-Depend on python-dev 2.5
    "python-dev (>= 2.4)" => "python-dev (>= 2.5), python-dev (<< 2.6)"
  * debian/control: Depend on libghc6-anydbm-dev, as required during
    installation of the package
  * debian/control: Standards-Version 3.7.2
  * Makefile: use Python 2.5 instead of 2.4
  * testsrc/GZiptest.hs: fixed exception format (for Python 2.5)

 -- dAniel hAhler <ubuntu@thequod.de>  Mon, 03 Sep 2007 00:19:38 +0200

missingpy (0.9.0) unstable; urgency=low

  * Updated for newer MissingH.  Closes: #406816, #409689.
  * Ack NMU.  Closes: #400391.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 04 May 2007 02:02:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: missingpy
 Priority: optional
-Maintainer: John Goerzen <jgoerzen@complete.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
 XS-Python-Version: current
-Build-Depends: debhelper (>= 5.0.37.2), ghc6 (>= 6.6), ghc6 (<< 6.6-999), haskell-devscripts (>= 0.5.6), python-dev (>= 2.4), python-gdbm (>= 2.3.3), haddock, libghc6-missingh-dev (>= 0.16.1), python-central (>= 0.5)
+Build-Depends: debhelper (>= 5.0.37.2), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), python-dev (>= 2.5), python-dev (<< 2.6), python-gdbm (>= 2.3.3), haddock, libghc6-missingh-dev (>= 0.18.4), python-central (>= 0.5), libghc6-anydbm-dev (>= 1.0.2)
 #Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs, haskell-devscripts (>= 0.5.4), libhugs-hunit
-Standards-Version: 3.6.1
+Standards-Version: 3.7.2
 Section: devel
 
 Package: libghc6-missingpy-dev
 Section: devel
 Architecture: any
 XB-Python-Version: ${python:Versions}
-Depends: ${haskell:Depends}, python-dev (>= 2.4), libghc6-missingh-dev (>= 0.16.1), ${python:Depends}
+Depends: ${haskell:Depends}, python-dev (>= 2.5), libghc6-missingh-dev (>= 0.18.4), libghc6-anydbm-dev, ${python:Depends}
 Suggests: python-gdbm (>= 2.3.3)
 Description: Python interface and utility library for Haskell
  MissingPy is two things:

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # This special exception was added by Craig Small in version 0.37 of dh-make.
 
 # Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 CFLAGS = -Wall -g
 
@@ -86,7 +86,7 @@
 	make test-hugs
 
 # Build architecture-independent files here.
-#binary-indep: builddocs installdocs
+binary-indep-DISABLED: builddocs installdocs
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs -i

## missingpy 0.9.1.0ubuntu1

=== Makefile ===
--- 
+++ 
@@ -48,11 +48,11 @@
 			$(shell find . -name "*.hsc")
 	ghc6 -O2 -o testsrc/runtests -Iglue -Ldist/build -odir dist/build \
 	   -hidir dist/build -package mtl -fffi -idist/build -itestsrc \
-	   -L/usr/lib -L/usr/lib/python2.4/site-packages \
+	   -L/usr/lib -L/usr/lib/python2.5/site-packages \
 	   -fglasgow-exts \
-	   -I/usr/include/python2.4 \
+	   -I/usr/include/python2.5 \
 		-package HUnit --make testsrc/runtests.hs \
-		dist/build/glue/glue.o dist/build/glue/excglue.o -lpython2.4
+		dist/build/glue/glue.o dist/build/glue/excglue.o -lpython2.5
 
 # dist/build/libHSMissingPy-*
 test-ghc6: testsrc/runtests

=== debian/changelog ===
missingpy (0.9.1.0ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    + debian/control:
      - (Build-)Depend on python-dev >= 2.5.
      - Update the Maintainer field.
      - Update the Standards-Version.
    + Makefile:
      - Use python 2.5 instead of 2.4.
    + testsrc/GZiptest.hs: fixed exception format (for Python 2.5)
  * FF exception granted in LP #191538 (ghc6 transition)

 -- Michael Bienia <geser@ubuntu.com>  Sat, 08 Mar 2008 23:49:27 +0100

missingpy (0.9.1.0) unstable; urgency=low

  * Updated for newer ghc6 and MissingH.  Closes: #428939.
  * Updated deps for anydbm.  Closes: #429709.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 30 Jan 2008 01:04:46 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
 XS-Python-Version: current
-Build-Depends: debhelper (>= 5.0.37.2), ghc6 (>= 6.6.1), ghc6 (<< 6.6.1-999), haskell-devscripts (>= 0.5.6), python-dev (>= 2.5), python-dev (<< 2.6), python-gdbm (>= 2.3.3), haddock, libghc6-missingh-dev (>= 0.18.4), python-central (>= 0.5), libghc6-anydbm-dev (>= 1.0.2)
+Build-Depends: debhelper (>= 5.0.37.2), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.6), python-dev (>= 2.5), python-gdbm (>= 2.3.3), haddock, libghc6-missingh-dev (>= 1.0.0), python-central (>= 0.5), libghc6-anydbm-dev (>= 1.0.2), libghc6-regex-compat-dev, libghc6-regex-base-dev, libghc6-regex-posix-dev
 #Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs, haskell-devscripts (>= 0.5.4), libhugs-hunit
 Standards-Version: 3.7.2
 Section: devel
@@ -12,7 +12,7 @@
 Section: devel
 Architecture: any
 XB-Python-Version: ${python:Versions}
-Depends: ${haskell:Depends}, python-dev (>= 2.5), libghc6-missingh-dev (>= 0.18.4), libghc6-anydbm-dev, ${python:Depends}
+Depends: ${haskell:Depends}, python-dev (>= 2.5), libghc6-missingh-dev (>= 1.0.0), libghc6-anydbm-dev, ${python:Depends}, libghc6-regex-base-dev, libghc6-regex-compat-dev, libghc6-regex-posix-dev
 Suggests: python-gdbm (>= 2.3.3)
 Description: Python interface and utility library for Haskell
  MissingPy is two things:

=== debian/rules ===
--- 
+++ 
@@ -67,7 +67,7 @@
 
 	# Add here commands to install the package into debian/tmp
 	dh_haskell -a
-	make test
+	cd debian/tmp/build/libghc6-missingpy-dev && make test
 
 builddocs: builddocs-stamp
 builddocs-stamp:

## missingpy 0.10.0.0

=== debian/changelog ===
missingpy (0.10.0.0) unstable; urgency=low

  * Updated for newer Cabal infrastructure.
  * No more need for gencabal.py
  * Updated for newer MissingH, anydbm.
  * Updated for Python 2.5.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 09 May 2008 10:58:04 -0500

=== debian/control ===
Source: missingpy
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
XS-Python-Version: current
Build-Depends: debhelper (>= 5.0.37.2), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.6), python-dev (>= 2.5), python-gdbm (>= 2.3.3), haddock, libghc6-missingh-dev (>= 1.0.1), python-central (>= 0.5), libghc6-anydbm-dev (>= 1.0.5.1), libghc6-regex-compat-dev, libghc6-regex-base-dev, libghc6-regex-posix-dev
#Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs, haskell-devscripts (>= 0.5.4), libhugs-hunit
Standards-Version: 3.6.1
Section: devel
VCS-Browser: http://git.complete.org/missingpy
VCS-Git: git://git.complete.org/missingpy

Package: libghc6-missingpy-dev
Section: devel
Architecture: any
XB-Python-Version: ${python:Versions}
Depends: ${haskell:Depends}, python-dev (>= 2.5), libghc6-missingh-dev (>= 1.0.1), libghc6-anydbm-dev, ${python:Depends}, libghc6-regex-base-dev, libghc6-regex-compat-dev, libghc6-regex-posix-dev
Suggests: python-gdbm (>= 2.3.3)
Description: Python interface and utility library for Haskell
 MissingPy is two things:
 .
 A Haskell binding for many C and Python libraries for tasks such as
 data compression, databases, etc.  This can be found in the
 MissingPy module tree.
 .
 Also, it's a low-level Haskell binding to the Python interpreter to
 enable development of hybrid applications that use both
 environments.  This can be found in the Python module tree.  The
 Haskell bindings above use this environment.
 .
 MissingPy permits you to call Python code from Haskell.  It does NOT
 permit you to call Haskell code from Python.
 .
 MissingPy is the companion to my MissingH library, and integrates with
 it.

## missingpy 0.10.0.2

=== Makefile ===
--- 
+++ 
@@ -21,12 +21,8 @@
 	./setup build
 
 PYTHON ?= python
-setup: Setup.lhs MissingPy.cabal
-	ghc -package Cabal Setup.lhs -o setup
-
-
-MissingPy.cabal: gencabal.py
-	$(PYTHON) gencabal.py
+setup: Setup.hs MissingPy.cabal
+	ghc -package Cabal Setup.hs -o setup
 
 doc: setup
 	./setup haddock
@@ -35,7 +31,7 @@
 	-./setup clean
 	-rm -rf html `find . -name "*.o"` `find . -name "*.hi"` \
 		`find . -name "*~"` *.a setup dist testsrc/runtests \
-		MissingPy.cabal local-pkg
+		 local-pkg *.buildinfo
 	-cd doc && $(MAKE) clean
 
 .PHONY: local-pkg

=== debian/changelog ===
missingpy (0.10.0.2) unstable; urgency=high

  * Rebuild for newer GHC.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 19 Jan 2009 16:00:37 -0600

missingpy (0.10.0.1) unstable; urgency=low

  * Rebuild for newer MissingH, anydbm.
  * Added dh_haskell_depends.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 05 Dec 2008 15:36:30 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
 XS-Python-Version: current
-Build-Depends: debhelper (>= 5.0.37.2), ghc6 (>= 6.8.2), ghc6 (<< 6.8.2-999), haskell-devscripts (>= 0.6.6), python-dev (>= 2.5), python-gdbm (>= 2.3.3), haddock, libghc6-missingh-dev (>= 1.0.1), python-central (>= 0.5), libghc6-anydbm-dev (>= 1.0.5.1), libghc6-regex-compat-dev, libghc6-regex-base-dev, libghc6-regex-posix-dev
-#Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs, haskell-devscripts (>= 0.5.4), libhugs-hunit
+Build-Depends: debhelper (>= 5.0.37.2), ghc6 (>= 6.8.2dfsg1), haskell-devscripts (>= 0.6.15), python-dev (>= 2.5), python-gdbm (>= 2.3.3), haddock, libghc6-missingh-dev (>= 1.0.3.2), python-central (>= 0.5), libghc6-anydbm-dev (>= 1.0.5.4), libghc6-regex-compat-dev, libghc6-regex-base-dev, libghc6-regex-posix-dev
+#Build-Depends-Indep: debhelper (>= 4.0.0), haddock, hugs, haskell-devscripts (>= 0.6.15), libhugs-hunit
 Standards-Version: 3.6.1
 Section: devel
 VCS-Browser: http://git.complete.org/missingpy

=== debian/rules ===
--- 
+++ 
@@ -67,6 +67,7 @@
 
 	# Add here commands to install the package into debian/tmp
 	dh_haskell -a
+	dh_haskell_depends -a
 	cd debian/tmp/build/libghc6-missingpy-dev && make test
 
 builddocs: builddocs-stamp
